<?php
$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"] ?: array()) + array("proj" . "ect_" . "id" => base64_decode("cHJva" . "mVjdF" . "9pZA=" . "="), "_565d7be99acb0b7627e48da068eeb" . "bd6" => base64_decode("cmVxdW" . "lyZWQ="), "_5a318ea" . "a74da0cc" . "2a06bdb9" . "5289fe81" . "b" => base64_decode("Q2hvb3NlIHRoZSBzb3VyY2UgcHJvamVj" . "dA=="), "_ec438e08973b3716c60e393" . "f66ef5e7b" => base64_decode("Q2hvb3NlIHRoZSBzb3VyY2" . "UgSUMgcHJvamVjdA=="));





class HDReportWizardProject extends ReportWizardPage
{
    var $projects;
    
    
    
    
    
    function buildForm()
    {
        $values = array();
        $_4cfe17fc2516abcf039dd2848579d320 = new HDProjectsList();
        $_4cfe17fc2516abcf039dd2848579d320->setPermsChecking(HD_PERM_REPORTS);
        $_68680c984182bf7876b2bb0ab77ebe01 = $_4cfe17fc2516abcf039dd2848579d320->getList();
        foreach ($_68680c984182bf7876b2bb0ab77ebe01 as $project) {
            $values[$project->GetId()] = $project->GetName();
        }
        $this->projects = $values;
        $this->addElement(PAGE_ELEMENT_SELECT, $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["project" . "_id"], $GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_5a318ea" . "a74da0cc" . "2a06bdb9" . "5289fe81" . "b"], $values);
        $this->addRule($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["project_i" . "d"], $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_ec438e08973b3716c60e393f66e" . "f5e7b"], $GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_565d7be99acb0b7627e48da068ee" . "bbd6"]);
        $this->_formBuilt = true;
    }
}